package ajcon.helpers;

import java.util.HashMap;
import java.util.Map;

public class ElementMappingBuilder {

    private Map<String,String> elementHashes;

    public ElementMappingBuilder()
    {
        elementHashes = new HashMap<String, String>();
    }

    public Map<String, String> getElementHashes() {
        return elementHashes;
    }

    public void setElementHashes(Map<String, String> elementHashes) {
        this.elementHashes = elementHashes;
    }

    public void createElementMappings()
    {
         elementHashes.put("anonymous-class",ajcon.custom.util.elements.CAnonymousClass.class.getName());
         elementHashes.put("arguments", ajcon.custom.util.elements.CArguments.class.getName());
         elementHashes.put("array-initializer",ajcon.custom.util.elements.CArrayInitializer.class.getName());
         elementHashes.put("array-ref",ajcon.custom.util.elements.CArrayRef.class.getName());
         elementHashes.put("assignment-expr",ajcon.custom.util.elements.CAssignmentExpr.class.getName());
         elementHashes.put("base",ajcon.custom.util.elements.CBase.class.getName());
         elementHashes.put("binary-expr",ajcon.custom.util.elements.CBinaryExpr.class.getName());
         elementHashes.put("block", ajcon.custom.util.elements.CBlock.class.getName());
         elementHashes.put("break",ajcon.custom.util.elements.CBreak.class.getName());
         elementHashes.put("case", ajcon.custom.util.elements.CCase.class.getName());
         elementHashes.put("cast-expr",ajcon.custom.util.elements.CCastExpr.class.getName());
         elementHashes.put("catch",ajcon.custom.util.elements.CCatch.class.getName());
         elementHashes.put("class",ajcon.custom.util.elements.CClass.class.getName());
         elementHashes.put("modifiers", ajcon.custom.util.elements.CModifiers.class.getName());
         elementHashes.put("modifier",ajcon.custom.util.elements.CModifier.class.getName());
         elementHashes.put("code-fragment",ajcon.custom.util.elements.CCodeFragment.class.getName());
         elementHashes.put("conditional-expr",ajcon.custom.util.elements.CConditionalExpr.class.getName());
         elementHashes.put("constructor",ajcon.custom.util.elements.CConstructor.class.getName());
         elementHashes.put("continue", ajcon.custom.util.elements.CContinue.class.getName());
         elementHashes.put("default-case",ajcon.custom.util.elements.CDefaultCase.class.getName());
         elementHashes.put("dim-expr",ajcon.custom.util.elements.CDimExpr.class.getName());
         elementHashes.put("do-loop",ajcon.custom.util.elements.CDoLoop.class.getName());
         elementHashes.put("extend",ajcon.custom.util.elements.CExtend.class.getName());
         elementHashes.put("false-case",ajcon.custom.util.elements.CFalseCase.class.getName());
         elementHashes.put("field", ajcon.custom.util.elements.CField.class.getName());
         elementHashes.put("field-access",ajcon.custom.util.elements.CFieldAccess.class.getName());
         elementHashes.put("field-set", ajcon.custom.util.elements.CFieldSet.class.getName());
         elementHashes.put("finally",ajcon.custom.util.elements.CFinally.class.getName());
         elementHashes.put("formal-argument",ajcon.custom.util.elements.CFormalArgument.class.getName());
         elementHashes.put("formal-arguments",ajcon.custom.util.elements.CFormalArguments.class.getName());
         elementHashes.put("if", ajcon.custom.util.elements.CIf.class.getName());
         elementHashes.put("implement",ajcon.custom.util.elements.CImplement.class.getName());
         elementHashes.put("import",ajcon.custom.util.elements.CImport.class.getName());
         elementHashes.put("loop-init",ajcon.custom.util.elements.CLoopInit.class.getName());
         elementHashes.put("instance-initializer",ajcon.custom.util.elements.CInstanceInitializer.class.getName());
         elementHashes.put("instanceof-test", ajcon.custom.util.elements.CInstanceofTest.class.getName());
         elementHashes.put("interface",ajcon.custom.util.elements.CInterface.class.getName());
         elementHashes.put("java-class-file",ajcon.custom.util.elements.CJavaClassFile.class.getName());
         elementHashes.put("java-source-program",ajcon.custom.util.elements.CJavaSourceProgram.class.getName());
         elementHashes.put("label",ajcon.custom.util.elements.CLabel.class.getName());
         elementHashes.put("literal-boolean",ajcon.custom.util.elements.CLiteralBoolean.class.getName());
         elementHashes.put("literal-char", ajcon.custom.util.elements.CLiteralChar.class.getName());
         elementHashes.put("literal-null",ajcon.custom.util.elements.CLiteralNull.class.getName());
         elementHashes.put("literal-number", ajcon.custom.util.elements.CLiteralNumber.class.getName());
         elementHashes.put("literal-string",ajcon.custom.util.elements.CLiteralString.class.getName());
         elementHashes.put("local-variable-decl",ajcon.custom.util.elements.CLocalVariableDecl.class.getName());
         elementHashes.put("local-variable",ajcon.custom.util.elements.CLocalVariable.class.getName());
         elementHashes.put("var-initializer", ajcon.custom.util.elements.CVarInitializer.class.getName());
         elementHashes.put("loop",ajcon.custom.util.elements.CLoop.class.getName());
         elementHashes.put("lvalue",ajcon.custom.util.elements.CLvalue.class.getName());
         elementHashes.put("method",ajcon.custom.util.elements.CMethod.class.getName());
         elementHashes.put("new",ajcon.custom.util.elements.CNew.class.getName());
         elementHashes.put("new-array", ajcon.custom.util.elements.CNewArray.class.getName());
         elementHashes.put("offset",ajcon.custom.util.elements.COffset.class.getName());
         elementHashes.put("package-decl",ajcon.custom.util.elements.CPackageDecl.class.getName());
         elementHashes.put("paren",ajcon.custom.util.elements.CParen.class.getName());
         elementHashes.put("result",ajcon.custom.util.elements.CResult.class.getName());
         elementHashes.put("return",ajcon.custom.util.elements.CReturn.class.getName());
         elementHashes.put("send", ajcon.custom.util.elements.CSend.class.getName());
         elementHashes.put("static-initializer",ajcon.custom.util.elements.CStaticInitializer.class.getName());
         elementHashes.put("super", ajcon.custom.util.elements.CSuper.class.getName());
         elementHashes.put("super-call",ajcon.custom.util.elements.CSuperCall.class.getName());
         elementHashes.put("superclass",ajcon.custom.util.elements.CSuperClass.class.getName());
         elementHashes.put("switch",ajcon.custom.util.elements.CSwitch.class.getName());
         elementHashes.put("switch-block", ajcon.custom.util.elements.CSwitchBlock.class.getName());
         elementHashes.put("synchronized",ajcon.custom.util.elements.CSynchronized.class.getName());
         elementHashes.put("target",ajcon.custom.util.elements.CTarget.class.getName());
         elementHashes.put("test",ajcon.custom.util.elements.CTest.class.getName());
         elementHashes.put("this",ajcon.custom.util.elements.CThis.class.getName());
         elementHashes.put("this-call", ajcon.custom.util.elements.CThisCall.class.getName());
         elementHashes.put("throw",ajcon.custom.util.elements.CThrow.class.getName());
         elementHashes.put("throws",ajcon.custom.util.elements.CThrows.class.getName());
         elementHashes.put("exception",ajcon.custom.util.elements.CException.class.getName());
         elementHashes.put("true-case",ajcon.custom.util.elements.CTrueCase.class.getName());
         elementHashes.put("try",ajcon.custom.util.elements.CTry.class.getName());
         elementHashes.put("type", ajcon.custom.util.elements.CType.class.getName());
         elementHashes.put("unary-expr",ajcon.custom.util.elements.CUnaryExpr.class.getName());
         elementHashes.put("loop-update", ajcon.custom.util.elements.CLoopUpdate.class.getName());
         elementHashes.put("field-ref",ajcon.custom.util.elements.CFieldRef.class.getName());
         elementHashes.put("var-ref",ajcon.custom.util.elements.CVarRef.class.getName());
         elementHashes.put("var-set",ajcon.custom.util.elements.CVarSet.class.getName());
         elementHashes.put("formal-set", ajcon.custom.util.elements.CFormalSet.class.getName());
         elementHashes.put("formal-ref",ajcon.custom.util.elements.CFormalRef.class.getName());
         elementHashes.put("doc-comment", null);
         elementHashes.put("type-dependences",ajcon.custom.util.elements.CTypeDependences.class.getName());
         elementHashes.put("type-dependence",ajcon.custom.util.elements.CTypeDependence.class.getName());
         elementHashes.put("type-ref",ajcon.custom.util.elements.CTypeRef.class.getName());
         elementHashes.put("java-source-code", ajcon.custom.util.elements.CJavaSourceCode.class.getName());
         elementHashes.put("codeline",ajcon.custom.util.elements.CCodeline.class.getName());
         elementHashes.put("separator",ajcon.custom.util.elements.CSeperator.class.getName());
         elementHashes.put("token",ajcon.custom.util.elements.CToken.class.getName());
         elementHashes.put("comment",ajcon.custom.util.elements.CComment.class.getName());
         elementHashes.put("sp",ajcon.custom.util.elements.CSp.class.getName());
    }

 
}
